Opened 5 years ago

Closed 4 years ago

#1521 closed defect (fixed)

libadblockplus is not compilable on linux x64

Reported by: sergz Assignee: poz2k4444
Priority: P5 Milestone:
Module: Libadblockplus Keywords:
Cc: fhd, matze, AAlvz Blocked By:
Blocking: Platform: Unknown
Ready: no Confidential: no
Tester: Verified working: no
Review URL(s):

http://codereview.adblockplus.org/5326829724368896/

Description

Despite it's not officially supported, I think linux might be the closest to android environment to run tests.

Environment

The version of libadblockplus is f30859fb16e3

$ lsb_release -a
No LSB modules are available.
Distributor ID:	Ubuntu
Description:	Ubuntu 14.04.1 LTS
Release:	14.04
Codename:	trusty
$ uname -m
x86_64

Python 2.7.6
gcc (Ubuntu 4.8.2-19ubuntu1) 4.8.2

How to reproduce

  1. hg clone https://hg.adblockplus.org/libadblockplus/
  2. cd libadblockplus
  3. make >mylog 2>&1 # as it's stated in README.md
  4. check mylog for details

Observed behaviour

Compilation errors

Expected behaviour

No compilation errors

Attachments (1)

mylog (16.0 KB) - added by sergz 5 years ago.

Download all attachments as: .zip

Change History (6)

Changed 5 years ago by sergz

comment:1 Changed 5 years ago by poz2k4444

  • Owner set to poz2k4444

comment:2 Changed 5 years ago by sergz

FYI, it works if add 'werror':'', into common.gypi.

comment:3 Changed 5 years ago by matze

@paco What's the status on this ticket here?

comment:4 Changed 5 years ago by poz2k4444

  • Cc matze AAlvz added
  • Review URL(s) modified (diff)

comment:5 Changed 4 years ago by fhd

  • Resolution set to fixed
  • Status changed from new to closed
Note: See TracTickets for help on using tickets.